import React, { ComponentType } from "react";
export declare function Hike({ as, hike, ...rest }: {
    children: React.ReactNode;
    as?: ComponentType<{
        hike: HikeSection<string>;
    }>;
    [key: string]: any;
}): import("react/jsx-runtime").JSX.Element;
export type CodeBlock = {
    value: string;
    lang: string;
    meta?: string;
    parentPath?: string;
};
export type HikeSection<T extends string = "steps"> = {
    [key in T]?: HikeSection<T>[];
} & {
    children: React.ReactNode[];
    query: string;
    code?: CodeBlock[];
};
export declare function getStepsFromChildren(kids: React.ReactNode, query?: string): HikeSection<string>;
//# sourceMappingURL=hike.d.ts.map