import React from "react";
export declare function useSteps(): {
    steps: any[];
    selectedIndex: number;
    selectIndex: (stepIndex: number) => void;
};
export declare function Steps({ className, children, steps, triggerPosition, }: {
    className: string;
    children: React.ReactNode;
    steps: any[];
    triggerPosition?: TriggerPosition;
}): import("react/jsx-runtime").JSX.Element;
export declare function ScrollyStep({ children, className, stepIndex, }: {
    children: React.ReactNode;
    className?: string;
    stepIndex: number;
}): import("react/jsx-runtime").JSX.Element;
export declare function Step({ element }: {
    element: string;
}): React.ReactNode;
type TriggerPosition = `${number}px` | `${number}%`;
export {};
//# sourceMappingURL=scrolly.d.ts.map