import "mdast-util-mdx-jsx";
import { Root, Code, RootContent } from "mdast";
import { MdxJsxFlowElement } from "mdast-util-mdx-jsx";
import { Theme } from "@code-hike/lighter";
import { FinalConfig } from "./types.js";
type Config = {
    theme: Theme;
    annotationPrefix?: string;
};
export declare function codeTransform(tree: Root, config?: Config): Promise<Root>;
export declare function transformAllCode(node: Root | RootContent, config: FinalConfig): Promise<import("mdast").Blockquote | import("mdast").Heading | import("mdast").Html | import("mdast").List | import("mdast").Paragraph | import("mdast").Table | import("mdast").ThematicBreak | MdxJsxFlowElement | import("mdast").Definition | import("mdast").FootnoteDefinition | import("mdast").Break | import("mdast").Delete | import("mdast").Emphasis | import("mdast").FootnoteReference | import("mdast").Image | import("mdast").ImageReference | import("mdast").InlineCode | import("mdast").Link | import("mdast").LinkReference | import("mdast").Strong | import("mdast").Text | import("mdast-util-mdx-jsx").MdxJsxTextElement | Root | import("mdast").ListItem | import("mdast").TableCell | import("mdast").TableRow | import("mdast").Yaml>;
export declare function transformCodeComponent(node: MdxJsxFlowElement, config: FinalConfig): Promise<MdxJsxFlowElement>;
export declare function transformCode(node: Code, config: FinalConfig): Promise<MdxJsxFlowElement>;
export {};
//# sourceMappingURL=remark.d.ts.map